/* 
 * Copyright 1993, 1994 Liverpool University Computer Science Department
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided 
 * that the above copyright notice appear in all copies and that both that 
 * copyright notice and this permission notice appear in supporting 
 * documentation, and that the name of L.U.C.S. not be used in advertising
 * or publicity pertaining to distribution of the software without specific, 
 * written prior permission. L.U.C.S. makes no representations about the 
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * FILE NAME:	XbrDnD.c
 * CREATED:	Thu Nov  4 1993
 * AUTHOR:	Rik Turnbull (rik@csc.liv.ac.uk)
 * DESCRIPTION: Routine(s) to handle Motif1.2 drag and drop protocol.
 *
 */

#include <Xm/Xm.h>

#if (XmVERSION > 1) || ((XmVERSION == 1) && (XmREVISION >= 2))
#include <Xm/Display.h>
#endif

void XbrDnDDisable(Widget);

/* XbrDnDDisable:*************************************************************/
/* XbrDnDDisable: Disable the Motif1.2 drag and drop protocol.               */
/* XbrDnDDisable:*************************************************************/

void XbrDnDDisable(Widget w)
{
#if (XmVERSION > 1) || ((XmVERSION == 1) && (XmREVISION >= 2))
    XtVaSetValues(XmGetXmDisplay(XtDisplay(w)),
           XmNdragReceiverProtocolStyle,  XmDRAG_NONE,
           XmNdragInitiatorProtocolStyle, XmDRAG_NONE,
           NULL);
#endif
}
