/* 
 * Copyright 1993, 1994 Liverpool University Computer Science Department
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided 
 * that the above copyright notice appear in all copies and that both that 
 * copyright notice and this permission notice appear in supporting 
 * documentation, and that the name of L.U.C.S. not be used in advertising
 * or publicity pertaining to distribution of the software without specific, 
 * written prior permission. L.U.C.S. makes no representations about the 
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * FILE NAME:	XbrPB.c
 * CREATED:	Wed Oct 27 1993
 * AUTHOR:	Rik Turnbull (rik@csc.liv.ac.uk)
 * DESCRIPTION:	Routines for handling Motif XmPushButton widget.
 *
 */

#include <Xm/Xm.h>

void XbrPBSimulate(Widget);

/* XbrPBSimulate:*************************************************************/
/* XbrPBSimulate: This routine just switches the arm colours around on the   */
/* XbrPBSimulate: push button - if done twice it looks like the button is    */
/* XbrPBSimulate: being pressed.                                             */
/* XbrPBSimulate:*************************************************************/

void XbrPBSimulate(Widget w)
{
    Pixel topShadow, bottomShadow, bg, armColor;
    Boolean fillArm;

    /* Get the current colours */
    XtVaGetValues(w, XmNbottomShadowColor, &bottomShadow,
                           XmNtopShadowColor, &topShadow,
                           XmNbackground, &bg,
                           XmNarmColor, &armColor,
                           XmNfillOnArm, &fillArm,
                           NULL);

    /* Reverse 'em */
    XtVaSetValues(w, XmNtopShadowColor, bottomShadow,
                     XmNbottomShadowColor, topShadow,
                     NULL);

    /* Show the change */
    XmUpdateDisplay(w);
}
