/*
 * Copyright 1993 University of Liverpool Computer Science Department
 *
 * Unauthorised duplication or distribution of all or part of this code is
 * not permitted. This software is to be used only for accessing the HP-UX
 * specific public domain archives  at the University of Liverpool and its
 * official mirror sites and the commercial SoftNet archive. So there.
 *
 * FILE NAME:	ascii.c
 * CREATED:	Mon Oct 25 1993
 * AUTHOR:	Rik Turnbull
 * DESCRIPTION:	Converts numbers into a more readable form.
 *
 */

char *ascii_size(int);	      /* Convert size into K,MBS            */
char *ascii_mins(float);      /* Convert seconds to hours:mins:secs */

/* ascii_size:*******************************************************/
/* ascii_size: Routine to convert bytes into more readable bytes,   */
/* ascii_size: kilobytes or megabytes.                              */
/* ascii_size:*******************************************************/

char *ascii_size(int size)
{
    static char size_buf[25];

    if(size < 1024)
       sprintf(size_buf, "%.2f K", ((float)size)/1025);
    else if(size < 1048576)
        sprintf(size_buf, "%d K", size/1024);
    else
        sprintf(size_buf, "%.2f MB", ((float)size)/1048576);

    return(size_buf);
}

/* ascii_mins: *******************************************************/
/* ascii_mins: Given the time in seconds put it into a mins/secs     */
/* ascii_mins: format.                                               */
/* ascii_mins: *******************************************************/

char *ascii_mins(float seconds)
{
    static char mins[25];
    int secs = (int) seconds;

    sprintf(mins, "%.2d:%.2d:%.2d", secs/3600, secs/60, secs%60);

    return(mins);
}
