/*
 * Copyright 1993 University of Liverpool Computer Science Department
 *
 * Unauthorised duplication or distribution of all or part of this code is
 * not permitted. This software is to be used only for accessing the HP-UX
 * specific public domain archives  at the University of Liverpool and its
 * official mirror sites and the commercial SoftNet archive. So there.
 *
 * FILE NAME:	magic.h
 * CREATED:	Mon Oct 25 1993
 * AUTHOR:	Rik Turnbull
 * DESCRIPTION:	Header file for magic.c
 *
 */

#ifndef COMMON_MAGIC_H
#define COMMON_MAGIC_H	1

#define	MAGIC_JPEG		1
#define	MAGIC_GIF		2
#define	MAGIC_COMPRESS		3
#define	MAGIC_GZIP		4
#define	MAGIC_TROFF		5
#define	MAGIC_POSTSCRIPT	6

extern int magic_ftype(char *, int);

#define	is_jpeg(filename)	magic_ftype(filename, MAGIC_JPEG)
#define	is_gif(filename)	magic_ftype(filename, MAGIC_GIF)
#define	is_compressed(filename)	magic_ftype(filename, MAGIC_COMPRESS)
#define	is_gzipped(filename)	magic_ftype(filename, MAGIC_GZIP)
#define	is_troff(filename)	magic_ftype(filename, MAGIC_TROFF)
#define	is_postscript(filename)	magic_ftype(filename, MAGIC_POSTSCRIPT)

#endif
