/*
 * Copyright 1993 University of Liverpool Computer Science Department
 *
 * Unauthorised duplication or distribution of all or part of this code is
 * not permitted. This software is to be used only for accessing the HP-UX
 * specific public domain archives  at the University of Liverpool and its
 * official mirror sites and the commercial SoftNet archive. So there.
 *
 * FILE NAME:	search.c
 * CREATED:	Wed Oct 27 1993
 * AUTHOR:	Rik Turnbull
 * DESCRIPTION:	Contains routines for doing text searches.
 *
 */

#include "cdefs.h"

int search_matches(char *, char *, int);

/* search_matches:*************************************************************/
/* search_matches: Looks for key in the given pattern. Lifted from KingFisher */
/* search_matches: but he lifted it from K&R so I'm having it now. This wins  */
/* search_matches: the messiest looking function competition.                 */
/* search_matches:*************************************************************/

int search_matches(char *key, char *pattern, int case_sen)
{
    int i, j, k;

    /* Just do the test for case sensitivity once - outside the loop */
    if(case_sen) {
        for(i=0;pattern[i];i++) {
          for(j=i,k=0;key[k]&&pattern[j]==key[k];j++,k++);
          if(key[k]=='\0')
            return(i+1);
        }
        return(0);
    }
    else {
        for(i=0;pattern[i];i++) {
          for(j=i,k=0;key[k]&&locase(pattern[j])==locase(key[k]);j++,k++);
          if(key[k]=='\0')
            return(i+1);
        }
        return(0);
    }
}
