/*
 * Copyright 1993 University of Liverpool Computer Science Department
 *
 * Unauthorised duplication or distribution of all or part of this code is
 * not permitted. This software is to be used only for accessing the HP-UX
 * specific public domain archives  at the University of Liverpool and its
 * official mirror sites and the commercial SoftNet archive. So there.
 *
 * FILE NAME:	stat.h
 * CREATED:	Mon Oct 25 11:16:39 GMT 1993
 * AUTHOR:	Rik Turnbull
 * DESCRIPTION: Header file for file.c
 *
 */

#ifndef	COMMON_FILE_H
#define	COMMON_FILE_H

#include <time.h>          /* For time_t */

extern int stat_size(char *);		/* File size in bytes     */
extern time_t stat_atime(char *);	/* Last access time       */
extern time_t stat_mtime(char *);	/* Last modification time */
extern time_t stat_ctime(char *);	/* Last status change     */
extern ushort stat_mode(char *);	/* Mode of file           */
extern uid_t stat_uid(char *);		/* UID of owner           */
extern gid_t stat_gid(char *);		/* GID of owner           */
extern int stat_isdir(char *);          /* Is file a directory?   */
extern int stat_islink(char *);         /* Is file a link?        */

#endif
