/*
 * Copyright 1993 University of Liverpool Computer Science Department
 *
 * Unauthorised duplication or distribution of all or part of this code is
 * not permitted. This software is to be used only for accessing the HP-UX
 * specific public domain archives  at the University of Liverpool and its
 * official mirror sites and the commercial SoftNet archive. So there.
 *
 * FILE NAME:	str.c
 * CREATED:	Wed Oct 27 1993
 * AUTHOR:	Rik Turnbull
 * DESCRIPTION:	Some extra string handling routines not in the clib.
 *
 */

#include <stdio.h>
#include <string.h>

int str_numchars(char *, char);
char *str_token(char **, char);

/* str_numchars:******************************************************/
/* str_numchars: Counts how many times the given character occurs in */
/* str_numchars: a string.                                           */
/* str_numchars:******************************************************/

int str_numchars(char *string, char c)
{
    int i = 0, count = 0;

    while(string[i])
        if(string[i++] == c)
            count++;

    return(count);
}

/* str_token:*****************************************************************/
/* str_token: Functionally similar to strtok except it does not use static   */
/* str_token: memory and can be called by a function anywhere on the stack.  */
/* str_token:*****************************************************************/

char *str_token(char **ptr, char c)
{
        char *newptr, *mem;
        
        if((newptr = strchr(*ptr, c)) != NULL) {
            *newptr = 0;
            newptr++;
        }

        mem = strdup(*ptr);

        if((newptr != NULL) && (*newptr == 0))
            *ptr = NULL;
        else    
            *ptr = newptr;
        
        return(mem);
}
